Summary:        Audio Processing library for changing Tempo, Pitch and Playback Rates
Name:           soundtouch
Version:        2.3.2
Release:        3%{?dist}
License:        LGPLv2+
URL:            http://www.surina.net/soundtouch/
Source0:        https://codeberg.org/soundtouch/soundtouch/archive/%{version}.tar.gz

Patch0001:      not-use-mfpu-neon-under-arm.patch

BuildRequires:  gcc-c++ cmake

%description
SoundTouch is a LGPL-licensed open-source audio processing library for changing the Tempo, Pitch and Playback
Rates of audio streams or files. The SoundTouch library is suited for application developers writing sound
processing tools that require tempo/pitch control functionality, or just for playing around with the sound effects.

The SoundTouch library source kit includes an example utility SoundStretch which allows processing .wav audio files from a
command-line interface.

%package devel
Summary:  Libraries, includes, etc to develop soundtouch applications
Requires: soundtouch = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries, include files, etc you can use to develop soundtouch applications.

%prep
%autosetup -n %{name} -p1

%build
%cmake
%cmake_build

%install
%cmake_install

ln -s soundtouch.pc %{buildroot}%{_libdir}/pkgconfig/libSoundTouch.pc
ln -s soundtouch.pc %{buildroot}%{_libdir}/pkgconfig/soundtouch-1.0.pc

%files
%license COPYING.TXT
%doc README.html
%{_bindir}/soundstretch
%{_libdir}/lib*.so.*

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}
%{_libdir}/cmake/SoundTouch

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.2-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.2-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 2.3.2-1
- Upgrade to version 2.3.2

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 5 2022 Shuo Wang <abushwang@tencent.com> - 2.3.1-1
- initial build
